// Ray.h: interface for the Ray class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_RAY_H__0420830B_5A99_4C68_8F32_814B636B188F__INCLUDED_)
#define AFX_RAY_H__0420830B_5A99_4C68_8F32_814B636B188F__INCLUDED_

#include "Common/World/Angle.h"
#include "Common/World/Point.h"
#include "Common/World/Vector.h"
#include "Common/World/Circle.h"

class Ray  
{
public:
	Ray();
	Ray(const Point& orig, Angle ang);
	virtual ~Ray();

	int CircleIntersect(const Circle& c, Point& psol1, Point& psol2) const;
protected:
	Point origin;
	Vector direction;
	Angle  angle;
};

#endif // !defined(AFX_RAY_H__0420830B_5A99_4C68_8F32_814B636B188F__INCLUDED_)
